## org.eclipse.datatools.connectivity.oda.design.ui.wizards
Class DataSourceWizardPage

    java.lang.Object
      DataSourceWizardPageCore
          org.eclipse.datatools.connectivity.oda.design.ui.wizards.DataSourceWizardPage

public abstract class DataSourceWizardPage
extends DataSourceWizardPageCore

The abstract base class for implementation of a customized ODA data source wizard page. An ODA data source UI extension must extend this to provide customized wizard page with page control and related behavior. This must be used as the base class of the newWizard.class attribute defined in the `org.eclipse.datatools.connectivity.connectionProfile` extension point.

See Also:
  Serialized Form

Constructor Summary
`DataSourceWizardPage(java.lang.String pageName)` Constructor with single argument for wizard page name.
`DataSourceWizardPage(java.lang.String pageName, java.lang.String title, ImageDescriptor titleImage)`

Method Summary
`abstract java.util.Properties` `collectCustomProperties()` Returns custom properties updated with values collected in custom wizard page(s).
`void` `createCustomControl(Composite parent)`
`abstract void` `createPageCustomControl(Composite parent)` Creates customized control for this wizard page under the given parent composite.
`java.lang.String` `getOdaDataSourceId()`
`void` `refresh()`
`abstract void` `setInitialProperties(java.util.Properties dataSourceProps)` Sets the initial properties and values to initialize the customized control of this wizard page.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DataSourceWizardPage

    public DataSourceWizardPage(java.lang.String pageName)

  Constructor with single argument for wizard page name. This single-argument constructor is used by the ODA data source wizard to create a custom wizard page. Subclass may override to provide additional page attributes, such as customized title, message, title image.

Parameters:
  `pageName` - wizard page name

### DataSourceWizardPage

    public DataSourceWizardPage(java.lang.String pageName,
                                java.lang.String title,
                                ImageDescriptor titleImage)

Method Detail

### createPageCustomControl

    public abstract void createPageCustomControl(Composite parent)

  Creates customized control for this wizard page under the given parent composite.

  Parameters:
    `parent` - the parent composite

### setInitialProperties

    public abstract void setInitialProperties(java.util.Properties dataSourceProps)

  Sets the initial properties and values to initialize the customized control of this wizard page.
  This method may be called before #createPageCustomControl, which should then initialize with these given properties.

  Parameters:
    `dataSourceProps` - custom properties of the extended ODA data source

### collectCustomProperties

    public abstract java.util.Properties collectCustomProperties()

  Returns custom properties updated with values collected in custom wizard page(s).

  Returns:
    a collection of custom properties; may be empty

### refresh

    public void refresh()

### createCustomControl

    public void createCustomControl(Composite parent)

### getOdaDataSourceId

    public java.lang.String getOdaDataSourceId()

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.